RoutesProfilesProfileidClaim mappings
/profiles/{profileId}/claim-mappings
Add an identity claim mapping that gives all users with the matching claim access to the profile
AuthorizationBearer <token>
In: header
Path Parameters
profileId*string
Request Body
application/json
claimKey*string
Name of the identity provider claim to match
Length
1 <= length <= 255claimValue*string
Claim value that assigns the profile when it matches
Length
1 <= length <= 255Response Body
application/json
curl -X POST "https://YOUR_ORG_ID.gatana.ai/api/v1/profiles/string/claim-mappings" \ -H "Content-Type: application/json" \ -d '{ "claimKey": "string", "claimValue": "string" }'{
"claimMapping": {
"id": "string",
"tenantId": "string",
"profileId": "string",
"claimKey": "string",
"claimValue": "string",
"createdAt": "string"
}
}